Package org.apache.solr.client.solrj.request.json

## Enum RangeFacetMap.OtherBuckets

- java.lang.Object
- - java.lang.Enum<RangeFacetMap.OtherBuckets>
  - - org.apache.solr.client.solrj.request.json.RangeFacetMap.OtherBuckets

All Implemented Interfaces:
  `Serializable`, `Comparable<RangeFacetMap.OtherBuckets>`

Enclosing class:
  RangeFacetMap

    public static enum RangeFacetMap.OtherBuckets
    extends Enum<RangeFacetMap.OtherBuckets>

### Enum Constant Summary

Enum Constants
`AFTER`
`ALL`
`BEFORE`
`BETWEEN`
`NONE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static RangeFacetMap.OtherBuckets` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static RangeFacetMap.OtherBuckets[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BEFORE

    public static final RangeFacetMap.OtherBuckets BEFORE

#### AFTER

    public static final RangeFacetMap.OtherBuckets AFTER

#### BETWEEN

    public static final RangeFacetMap.OtherBuckets BETWEEN

#### NONE

    public static final RangeFacetMap.OtherBuckets NONE

#### ALL

    public static final RangeFacetMap.OtherBuckets ALL

### Method Detail

#### values

    public static RangeFacetMap.OtherBuckets[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RangeFacetMap.OtherBuckets c : RangeFacetMap.OtherBuckets.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RangeFacetMap.OtherBuckets valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<RangeFacetMap.OtherBuckets>`